update nmap to 4.20 (patch by jens muecke)
[openwrt/svn-archive/archive.git] / net / nmap / patches / 01-cross_compile.patch
1 #
2 # Just assume pcap version is recent enough when cross-compiling
3 #
4 diff -ruN nmap-4.01-old/configure nmap-4.01-new/configure
5 --- nmap-4.01-old/configure 2006-02-02 03:18:42.000000000 +0100
6 +++ nmap-4.01-new/configure 2006-10-23 22:08:15.000000000 +0200
7 @@ -5865,8 +5865,8 @@
8 echo "$as_me:$LINENO: checking if libpcap version is recent enough" >&5
9 echo $ECHO_N "checking if libpcap version is recent enough... $ECHO_C" >&6
10 if test "$cross_compiling" = yes; then
11 - echo "$as_me:$LINENO: result: no" >&5
12 -echo "${ECHO_T}no" >&6; have_libpcap=no
13 + echo "$as_me:$LINENO: result: yes" >&5
14 +echo "${ECHO_T}yes" >&6; have_libpcap=yes
15 else
16 cat >conftest.$ac_ext <<_ACEOF
17 /* confdefs.h. */